 @font-face {
    font-family: 'PIXEL Arial 14';
    font-style: normal;
    font-weight: 400;
    src: local('PIXEL Arial 14'), url('https://fonts.cdnfonts.com/s/122367/pixel-arial-14.woff') format('woff');
} 

 
body{
background-image: url('https://samsolarsystem.neocities.org/Images/BackgroundKirbyFood.jpg');
background-size:30%;
font-family: 'PIXEL Arial 14', sans-serif;
letter-spacing:2px;
line-height: 1.35;
color: white;
}
 
 
#sidebar{
background-image: url('https://samsolarsystem.neocities.org/Images/BackgroundKirbyHearts.jpg');
background-size: 90%;
border: 2px solid #1f1aba;
top: 0;
left: 0;
width: 222px;
height: 100%;
padding: 1rem 0.5rem 1rem 1rem;
display: flex;
flex-direction: column;
gap: 1rem;
position: fixed;
overflow: scroll;
}


#navmenu{
margin: .5em auto;
background-color: black;
border: 2px solid #1f1aba; 
}


img.avatar{
  max-width: 150px;
  max-height: 150px;
  margin: .5em auto;
  background-color: black;
  border: 2px solid #1f1aba;
  text-align: center;
}


.entry{
width: 800px;
float: right;
margin-right: 100px;
margin-top: 50px;
margin-bottom: 50px;
border: 2px solid #1f1aba;
background-color: black;
}


.icon{
float: right;
margin-top: -50px;
margin-right: -50px;
width: 150px;
border: 2px solid #1f1aba;
}


.date{
margin-top: -15px;
font-size: 13px;
}


summary{
  cursor: pointer;
  text-decoration: underline;
  padding: 2px;
  }


p{
  padding-left: 15px;
  padding-right: 15px;
  }
  
  
  h2{
  padding-left: 15px;
  padding-right: 15px;
  }
  
  
a{
  color:#1f1aba;
  text-decoration:none;
}


a:hover{
-webkit-animation:rainbow 1s infinite;
-ms-animation:rainbow 1s infinite;
-o-animation:rainbow 1s infinite;
animation:rainbow 1s infinite;
  text-decoration:none;
  background-color: black;
  padding: 3px;
}
    
    
    @-webkit-keyframes rainbow {
0% {color: #ff0000;}
10% {color: #ff8000;}
20% {color: #ffff00;}
30% {color: #80ff00;}
40% {color: #00ff00;}
50% {color: #00ff80;}
60% {color: #00ffff;}
70% {color: #0080ff;}
80% {color: #0000ff;}
90% {color: #8000ff;}
100% {color: #ff0080;}
}
@-ms-keyframes rainbow {
0% {color: #ff0000;}
10% {color: #ff8000;}
20% {color: #ffff00;}
30% {color: #80ff00;}
40% {color: #00ff00;}
50% {color: #00ff80;}
60% {color: #00ffff;}
70% {color: #0080ff;}
80% {color: #0000ff;}
90% {color: #8000ff;}
100% {color: #ff0080;}
}
@-o-keyframes rainbow {
0% {color: #ff0000;}
10% {color: #ff8000;}
20% {color: #ffff00;}
30% {color: #80ff00;}
40% {color: #00ff00;}
50% {color: #00ff80;}
60% {color: #00ffff;}
70% {color: #0080ff;}
80% {color: #0000ff;}
90% {color: #8000ff;}
100% {color: #ff0080;}
}
@keyframes rainbow {
0% {color: #ff0000;}
10% {color: #ff8000;}
20% {color: #ffff00;}
30% {color: #80ff00;}
40% {color: #00ff00;}
50% {color: #00ff80;}
60% {color: #00ffff;}
70% {color: #0080ff;}
80% {color: #0000ff;}
90% {color: #8000ff;}
100% {color: #ff0080;}
}
  
  
  ul {
list-style-image: url('https://samsolarsystem.neocities.org/Images/FaviconKirbyWaving.gif'); 
    }
    
    
::-webkit-scrollbar{
width: 10px; 
}
 
::-webkit-scrollbar-track{
background-color: #c2e2f7;
}
 
::-webkit-scrollbar-thumb{
background-color: #81d4f6;
}


#sidebar::-webkit-scrollbar{
width: 10px; 
}
 
#sidebar::-webkit-scrollbar-track{
background-color: #fddad8;
}
 
#sidebar::-webkit-scrollbar-thumb{
background-color: #fc7d7e;
}